In questo articolo vederemo come installare il nuovo Kernel 3.13.5 in Ubuntu grazie anche ad un nuovo script 

Kernel Linux 3.13.5 in Ubuntu
Da pochi è disponibile il nuovo Kernel Linux 3.13.5 il quinto aggiornamento di mantenimento  dedicato all’attuale versione stabile 3.13.x che troveremo ad aprile di default in Ubuntu 14.04 Trusty LTS.
Tra le novità del nuovo Kernel 3.13.5 troviamo diverse correzioni riguardanti il riconoscimento di alcuni smartphone collegati via usb come ad esempio BlackBerry 9000, risolti inoltre alcuni problemi riguardanti alcuni moduli WiFi soprattutto di Atheros e problemi audio con Sony VAIO Pro 11.

In questa pagina troverete il changelog completo del nuovo Kernel Linux 3.13.5.
Importante novità dall’installazione dei nuovi driver in Ubuntu e derivate grazie ad un nuovo script rivisitato dal nostro amico / lettore AleRitty che oltre ad averlo tradotto correttamente in italiano ha incluse alcune migliorie nell’installazione (correggendo anche il problema dei pacchetti lowlatency).
Con il nuovo script potremo aggiornare il Kernel all’ultima versione stabile disponibile e rimuovere facilmente i vecchi Kernel presenti nella nostra distribuzione il tutto con estrema facilità.

Kernel Linux - script lffl

Per installare il nuovo Kernel Linux 3.13.5 in Ubuntu e derivate grazie al nuovo script basta digitare da terminale:

sudo apt-get install lynx 
wget https://github.com/aleritty/kernelupdate/raw/master/kernel-update
chmod +x kernel-update
sudo ./kernel-update

al termine basta riavviare, al riavvio avremo il nuovo Kernel 3.13.5 installato nella nostra distribuzione.

Per rimuovere il nuovo Kernel basta digitare:

sudo apt-get purge linux.image-3.13.5-*
sudo update-grub

e riavviare.
Ringrazio il nostro amico / lettore AleRitty per la correzione dello script il cui sviluppo lo potete seguire attraverso la pagina GitHub dedicata.

Home Linux Kernel

  • Alessandro

    Aiuto! Quando faccio ./configure, mi da questo errore:

    configure: error: VLC plugin headers not found

    Che succede?

    • non dovrebbe farlo
      che distro hai? 32 o 64bit?

      • Alessandro

        64 bit, ma ho risolto, mancava libvlccore-dev, però per installarlo ho dovuto reinstallare Vlc perché avevo due versioni diverse… non so come mai, comunque tutto a posto (spero… ora devo vedere se funziona…)

        PS: tutto a posto!

        • lo aggiunto all’articolo in caso che qualcuno abbia lo stesso tuo problema

          • Alessandro

            Ottimo! Felice di esser stato d’aiuto!

          • L’hai testato?

          • Alessandro

            Sì, proprio adesso, funziona!

  • sandro

    e qeusto con le ventole come si comporta ? su xubu 14.04 il .3 e .4 mi mandavano a palla le ventole dell asus, son dovuto tornar al generic-lts-trusty3.13.0.12.xx

    • nicola

      imagino anche tu come me hai un asus con ati o mi sbaglio?io sono fermo al 3.12 pf

      • sandro

        con nvidia 610m

    • roby

      Guarda. E’ pazzesco
      3.13.5-1-ARCH
      temp1: +37.0°C (crit = +128.0°C)
      temp2: +35.0°C (crit = +128.0°C)
      temp3: +26.0°C (crit = +128.0°C)
      temp4: +37.0°C (crit = +128.0°C)
      Su Mint 1 2 +
      Pensare che con il 3.11 di media avevo 55 / 60

      • aldo

        la temperatura ambiente era la stessa?

        • roby

          Si penso di si grado + grado –

          • nicola

            ma che processore hai?queste temperature sono in idle o qualche programma aperto tipo browser office o mediaplayer?

      • bernardo

        come lai installato su arch io non la trovo?

  • Linux News Italia

    Nuovo script, nuovo bug! se si prova ad utilizzare questo script su Linux Mint (che è una ubuntu con kernel ubuntu) si ha come risposta il messaggio: “Questo script installa i kernel di ubuntu, se lo vuoi lanciare su un’altra distribuzione lo fai a tuo rischio e pericolo di rompere tutto… Pertanto ti assumi anche l’onere di modificare lo script in modo che ti consenta di farlo, se non ne sei capace vuol dire che non dovresti nemmeno installare un kernel non progettato per la tua distribuzione.”

  • Daniele

    ma per aggiornare lo script installato tramite pacchetto deb? come posso fare?

  • Roberto, se posso chiederti una cortesia ti chiederei di modificare il codice facendo scaricare lo script da github: si può fare con wget da questo link
    https://github.com/aleritty/kernelupdate/raw/master/kernel-update
    in modo che chi lo scarica parta sempre dall’ultima versione disponibile!
    Ti ringrazio molto della menzione!

    Inoltre se qualcuno avesse suggerimenti/migliorie da suggerire è il benvenuto (magari non tramite i commenti sennò spammiamo troppo)

  • Ezio

    Installato anche su Opensuse 13.1, tutto ok!
    Questo il repo:
    http://download.opensuse.org/repositories/Kernel:/stable/standard/
    Basta aggiungerlo in yast e poi da terminale dare:
    zypper dup -r NomeRepoSceltoInYast

    • mirko

      scusa a me da errore file non trovato?dal terminale di opensuse si puo fare?ho anche io 13.1

      • Ezio

        Togli la parentesi tonda dal link 😉
        download.opensuse.org/repositories/Kernel:/stable/standard/

        • mirko

          fatto spero sia quello giusto:)una curiosita che differenze ci sono tra i586 e i686 a livello di architettura cpu?

          • Ezio

            A me ha installato la versione desktop anzichè la default, come desktop era quella precedente (è appunto ottimizzata per i pc desktop, la default è più indicata per i server in quanto non contiene qualche patch).
            La versione è giusta, 3.13-5-1.

            Per quanto riguarda i586 e i686 in rete trovi varie info, in sintesi sono sigle relative alla compatibilità con determinate classi di Pentium.

          • mirko

            ok grazie io ce lo sul portatile se mi crea problemi scarico la versione desktop

          • Ezio

            Allora probabilmente avevi già la default, infatti zypper non fa altro che cambiare la versione del tipo di kernel esistente.

  • Barabba

    Questo script va lanciato solo una volta?
    Cioè se uscira un nuovo kernel basterà digitare sul terminale il comando apt-get dist-upgrade dal teminale?

    • No, questo al momento non è possibile farlo!
      Ogni nuovo kernel ufficiale ubuntu potrai dare dist-upgrade, mentre questi kernel sono molto più avanti ma non li fornisce direttamente apt quindi ogni volta che vuoi aggiornare il kernel devi lanciare lo script

  • Giuseppe62

    Tempo fa ho scaricato uno script da questo sito che mi aggiorna al nuovo kernel.
    In verità l’ultima volta che l’ho lanciato a fine esecuzione mi chiedeva se volevo concellarlo. Io l’ho interrotto e il resto… tweak.

  • arisa

    mi spiegate perchè è sconsigliato aggiornare il kernel per non compromettere la stablità ..?

  • Livio Iurissevich

    A quando aggiornamento per Qualcomm Atheros AR928X Wireless Network Adapter 300Mbps ???

No more articles